package com.brilliance.isc.bo;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.json.BigDecimalSerialize;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
 * TABLE:ntf:NTF - Notify Entries
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Danlst extends AbstractCommonVo {

    private String clinam = NULLSTR;

    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal ineamt = Decimals.ZERO_SCALE2;

    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal cusamt = Decimals.ZERO_SCALE2;

    private String cusref = NULLSTR;

    private String cur = NULLSTR;

    private String ineref = NULLSTR;

    private String usesta = NULLSTR;

    private String chksta = NULLSTR;

    private String chkret = NULLSTR;
}