package com.brilliance.isc.bo;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
 * TABLE:entinf:
 */
@Getter
@Setter
public class Entinf extends AbstractCommonVo {

    //企业代码
    private String corpid = NULLSTR;
    //企业名称
    private String corpname = NULLSTR;
    //企业所属外汇局代码
    private String safecode = NULLSTR;
    //企业所属外汇局名称
    private String safename = NULLSTR;
    //名录状态
    private String paylist = NULLSTR;
    //辅导期企业
    private String newcorp = NULLSTR;
    //分类结果
    private String entrank = NULLSTR;
    //分类起始日期
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date rakbegdat = NULLDATE;
    //分类截止日期
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date rakenddat = NULLDATE;
    //是否特殊监管区域内企业
    private String istaxfre = NULLSTR;
    //特殊监管区域类型
    private String taxfrecod = NULLSTR;
    //进口可付汇余额美元
    private BigDecimal paybal = Decimals.ZERO_SCALE2;
    //出口可收汇余额美元
    private BigDecimal rcvbal = Decimals.ZERO_SCALE2;
    //跨境人民币出口重点监管企业状态
    private String ismoncorp = NULLSTR;
    //面函时�'
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date prtdat = NULLDATE;
    //状态码
    private String code = NULLSTR;
    //错误信息
    private String detail = NULLSTR;
    //inr
    private String inr = NULLSTR;
    //trn的inr
    private String trninr = NULLSTR;
    //折美元金额
    private BigDecimal converamt = Decimals.ZERO_SCALE2;
    //提示信息
    private String chkmsg = NULLSTR;
    //ORD的INR
    private String ordinr = NULLSTR;



}