package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:ssn:SSN - Session
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Ssn {

        //Internal Unique ID of Session
        private String inr = NULLSTR;

        //Start of Session
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date begdattim = NULLDATE;

        //End of Session
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date enddattim = NULLDATE;

        //Termination Status of Session
        private String sta = NULLSTR;

        //Last Start of a Transaction
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date lstdattim = NULLDATE;

        //ID of Last Started Transaction
        private String lstfrm = NULLSTR;

        //Application Server
        private String appsrv = NULLSTR;

        //Display Server
        private String dissrv = NULLSTR;

        //Name of Logical Engine
        private String eng = NULLSTR;

        //PID of Process in Application Server
        private String apppid = NULLSTR;

        //PID of Process in Display Server
        private String dispid = NULLSTR;

        //Background Flag
        private String bckgrd = NULLSTR;

        //User ID
        private String usr = NULLSTR;

        //Currently Used ETYEXTKEY
        private String ety = NULLSTR;
}