package com.brilliance.isc.bo.domlc;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Elcstm {
    //Internal Unique ID
    private String inr = NULLSTR;

    //报文信息表inr
    private String msginr = NULLSTR;

    //发起参与机构
    private String outbankno = NULLSTR;

    //接收参与机构
    private String inbankno = NULLSTR;

    //国结发送状态
    private String msgsta = NULLSTR;

    //人行反馈状态
    private String acksta;

    //人行反馈信息
    private String acktxt;

    //报文类型
    private String elctyp = NULLSTR;

    //报文标识号
    private String msgid = NULLSTR;

    //发送日期
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date snddat = NULLDATE;

    //创建日期
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date credat = NULLDATE;


    //拟报人
    private String nibaor = NULLSTR;

    //发报人
    private String fabaor = NULLSTR;

    //拟报机构
    private String bchkey = NULLSTR;

    //修改日期
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date mdfdat = NULLDATE;

    //删除标志
    private String delflg = NULLSTR;
}
