package com.brilliance.isc.bo.model;


import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.bo.Cbb;
import com.brilliance.isc.common.vo.BizInfoVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 *海外代付报送需要的 业务字段
 */

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class CfaeadBizInfo extends BizInfoVo{

    /**
     * 交易币种
     */
    private String maxcur = NULLSTR;

    /**
     * 交易金额
     */
    private BigDecimal maxamt = Decimals.ZERO_SCALE2;

    /**
     * 代付业务编号  DFD.OWNREF
     */
    String dfdownref = NULLSTR ;

    /**
     * 代付到期日
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date stttendat = NULLDATE;

    /**
     * 代付起息日
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date matdat = NULLDATE;


    /**
     * 执行利率  DFDGRP.REC.ACTRAT
     */
    private BigDecimal actrat = Decimals.ZERO_SCALE6;

    /**
     * 浮动方式
     */
    private String flttyp = NULLSTR;

    /**
     * 代付行中文名称 DFDGRP.REC.BANKCN
     */
    private String bankcn = NULLSTR;

    /**
     * 还代币种 DFDGRP.REC.RESCUR
     */
    private String rescur = NULLSTR;


    /**
     * 还贷利息  DFDGRP.REC.RESAMT
     */
    private BigDecimal resamt = Decimals.ZERO_SCALE2;

    /**
     * 单据编号 BRDGRP.REC.OWNREF
     */
    private String brdownref = NULLSTR;

    /**
     * 修改前代付到期日
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date oldmatdat = NULLDATE;

    /**
     * 修改前行利率  DFDGRP.REC.ACTRAT
     */
    private BigDecimal oldctrat = Decimals.ZERO_SCALE6;

    /**
     * 代付行
     */
    private PtsptaVo dff;

    @Override
    public void reset() {
        if (dff == null) {
            dff = new PtsptaVo();
        }
        dff.reset();
    }




}

