package com.brilliance.isc.common.invchk.vo;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.bo.Invuse;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class InvlstVo extends Invuse {

    /**
     * imfinv表字段
     */
    //登记状态
    private String regsta;

    /**
     * inv表字段
     */
    //发票监控状态
    private  String monstatus;
    //检核次数
    private  String checktotal;
    //本机构检核次数
    private  String checkown;
    //其他机构检核次数
    private  String checkother;
    //处理用户
    private  String hanusr;
    //销方名称
    private  String salesname;
    //销售方单位名称
    private  String purchasername;
    //合计金额
    private BigDecimal totalamount = Decimals.ZERO_SCALE3;
    //外币币种
    private  String forcur;
    //外币金额
    private  BigDecimal foramt = Decimals.ZERO_SCALE3;
    //首次登记标识
    private  String firstsign;
    //监控次数
    private  String monitortoal;
    //本机构监控次数
    private  String monitorown;
    //其他机构监次数
    private  String monitorother;
    //币种
    private String invcur;
    //发票剩余金额
    private BigDecimal balance = Decimals.ZERO_SCALE3;
}
