package com.brilliance.isc.common.lgbdet.vo;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.bo.Lge;
import com.brilliance.isc.bo.Lgl;
import com.brilliance.isc.bo.Lgo;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Getter
@Setter
@JsonIgnoreProperties(ignoreUnknown = true)
public class LgbdetgVo extends AbstractCommonVo {

    //Group Key
    private  String grpkey = NULLSTR;
    //Currency
    private  String cur = NULLSTR;
    //Amount
    private BigDecimal amt = Decimals.ZERO_SCALE3;
    //Old Amount
    private  BigDecimal oldamt = Decimals.ZERO_SCALE3;
    //Inr of LGO Record
    private  String lgoinr = NULLSTR;
    //Object Module Path
    private  String objmodpth = NULLSTR;
    //Limit Type
    private  String typ = NULLSTR;
    //Limit Party INR
    private  String ptyinr = NULLSTR;
    //Old Exchange Amount
    private  BigDecimal oldxrfamt = Decimals.ZERO_SCALE3;

    private Lgo lgo;

    private Lge lge;

    private Lgl lgl;

    @Override
    public void reset() {
        if (lgo == null) {
            lgo = new Lgo();
        }
        if (lge == null) {
            lge = new Lge();
        }
        if (lgl == null) {
            lgl = new Lgl();
        }
    }
}
