package com.brilliance.isc.common.limmod.vo;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.mda.support.jakson.serialize.BigDecimalSerializeRate;
import com.brilliance.mda.support.jakson.serialize.DecimalLength;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.math.BigDecimal;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


@Data
@ApiModel
public class ClmptyVo {

    //额度类型

    private  String limvar = NULLSTR;
    //额度品种

    private  String dgzylimvar = NULLSTR;
    //额度币种

    private  String dglimcur = NULLSTR;
    //授信额度
    @JsonSerialize(using = BigDecimalSerializeRate.class)
    @DecimalLength(value = 2)
    private BigDecimal dgsxlimamt = Decimals.ZERO_SCALE2;
    //已用额度
    @JsonSerialize(using = BigDecimalSerializeRate.class)
    @DecimalLength(value = 2)
    private  BigDecimal dgyylimamt = Decimals.ZERO_SCALE2;
    //可用额度
    @JsonSerialize(using = BigDecimalSerializeRate.class)
    @DecimalLength(value = 2)
    private  BigDecimal dgkylimamt = Decimals.ZERO_SCALE2;
    //敞口额度
    @JsonSerialize(using = BigDecimalSerializeRate.class)
    @DecimalLength(value = 2)
    private  BigDecimal dgcklimamt = Decimals.ZERO_SCALE2;
    //已用敞口
    @JsonSerialize(using = BigDecimalSerializeRate.class)
    @DecimalLength(value = 2)
    private  BigDecimal dgyylimck = Decimals.ZERO_SCALE2;
    //可用敞口
    @JsonSerialize(using = BigDecimalSerializeRate.class)
    @DecimalLength(value = 2)
    private  BigDecimal dgkylimck = Decimals.ZERO_SCALE2;
    //恢复序号
    private  int dghfxh;
    //额度编号

    private  String dgzylimref = NULLSTR;
    //额度明细编号

    private  String dgzyliminfref = NULLSTR;
    //保证金比例
    @JsonSerialize(using = BigDecimalSerializeRate.class)
    @DecimalLength(value = 6)
    private  BigDecimal dgccvbl = Decimals.ZERO_SCALE6;


    public void reset() {

    }
}
