package com.brilliance.isc.transfer.transaction;

import com.brilliance.isc.bo.lg.GitopnStoreBo;
import com.brilliance.isc.bo.lg.GitopnStoreBo;
import com.brilliance.isc.transfer.IBaseStructMapper;
import com.brilliance.isc.transfer.model.*;
import com.brilliance.isc.vo.lg.GitopnStoreVo;
import com.brilliance.isc.vo.lg.GitopnStoreVo;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.MappingTarget;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;


/**
 * Gitopn Bo、Vo之间的转换处理类。如果有很复杂的函数，则可以用适配器模式重写
 */
@Mapper(componentModel = "spring",uses = {
        IGctMapper.class, IGitMapper.class,
        INitMapper.class, INctMapper.class, IOtherModMapper.class}
        )
public interface GitopnStructMapper extends IBaseStructMapper<GitopnStoreBo, GitopnStoreVo> {

    /**
     * 此行语句一定要写，StructMapper需要
     */
    GitopnStructMapper INSTANCE = Mappers.getMapper(GitopnStructMapper.class);

    /**
     * Vo转为Bo
     *
     * @param vo
     * @return 返回业务Bo
     */
    @Override
    GitopnStoreBo voTransferToBo(GitopnStoreVo vo);

    /**
     * Vo追加更新至Bo
     * 忽略oldgrp的复制
     * @param vo
     * @param bo
     */
    @Override
    @Mappings({
//            @Mapping(target = "oldgidgrp",ignore = true)
    })
    void voUpdateToBo(GitopnStoreVo vo, @MappingTarget GitopnStoreBo bo);

    /**
     * Bo转为Vo
     *
     * @param bo
     * @return 返回Vo
     */
    @Override
    GitopnStoreVo boTransferToVo(GitopnStoreBo bo);

    /**
     * bo追加更新至Bo
     *
     * @param bo
     * @param vo
     */
    @Override
    void boUpdateToVo(GitopnStoreBo bo, @MappingTarget GitopnStoreVo vo);
}
