package com.brilliance.isc.vo.bop;


import com.brilliance.mda.runtime.mda.util.Decimals;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@JsonInclude(JsonInclude.Include.NON_NULL)
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class PblStmVo {

    //inr
    private String inr = NULLSTR;

    //业务主键
    private String levyno  = NULLSTR;

    //人行报送状态
    private String sta  = NULLSTR;
    //人行报送状态名称
    private String staname  = NULLSTR;

    //银行业务编号
    private String banktrano = NULLSTR;

    //收款币种
    private String payeecny = NULLSTR;

    //总金额
    private BigDecimal allamt  = Decimals.ZERO_SCALE2;

    //收款人名称
    private String payeename = NULLSTR;

    //付款人名称
    private String payername = NULLSTR;

    //业务发生日期
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date reldat = NULLDATE;

    //Object Type
    private String objtyp  = NULLSTR;

    // 申报类型名称
    private String objtypname;

    //Object INR
    private String objinr = NULLSTR;

    //BRANCH||BCHNAME  这两个字段的拼接成的新字段
    private String nchname = NULLSTR;

}
