package com.brilliance.isc.vo.component.trn;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;


/**
* TABLE:trn:TRN - Transaction Record
*/
@Data
public class TrnInfoVo {

        //Internal Unique ID of Transaction Control Record
        private String inr ;

        //Timestamp of Entry of Transaction
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date inidattim ;

        //Frame Used to Create the Transaction
        private String inifrm ;

        private String inifrmname ;

        private String inifrmNameCn ;

        //User Creating the Transaction
        private String iniusr ;

        //Transaction Name of Storing Transaction
        private String ininam ;

        //Own Reference
        private String ownref ;

        //Object Type of Associated Contract Optional
        private String objtyp ;

        //Object INR of Associated Contract Optional
        private String objinr ;

        //External Readable Object Identification
        private String objnam ;

        //INR of SSN where transaction was created
        private String ssninr ;

        //Next Counter for SMH within TRN
        private  int smhnxt ;

        //Responsible Group
        private String usg ;

        //Responsible User
        private String usr ;

        //Timestamp of Completion Execution of Last Service
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date cpldattim ;

        //Infoflag
        private String infdsp ;

        //Infotext
        private String inftxt ;

        //Release Status
        private String relflg ;

        //Committed 'C' if Committed
        private String comflg ;

        //Date of Commit
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date comdat ;

        //INR of preceeding TRN
        private String cortrninr ;

        //Status of Recalculation
        private String xreflg ;

        //Currencies Handled by Transaction
        private String xrecurblk ;

        //Currency of Relevant Amount for Release
        private String relcur ;

        //Relevant Amount for Release
        private  String relamt ;

        //Currency of Relevant Amount for Release in Original Currency
        private String reloricur ;

        //Relevant Amount for Release in Original Currency
        private  String reloriamt ;

        //Required Signatures
        private String relreq ;

        //Applied Signatures
        private String relres ;

        //Flag, if External Confirmation Necessary
        private String cnfflg ;

        //Events
        private String evttxt ;

        //Sent for Repair to
        private String rprusr ;

        //INR of Triggering Order
        private String ordinr ;

        //Execution Date
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date exedat ;

        //Entity holding Transaction
        private String etyextkey ;

        //BRANCH KEY INR
        private String bchkeyinr ;

        //Account Branch INR
        private String accbchinr ;

        //RELEASE REQUIRE CENTER
        private String relreq0 ;

        //RELEASE REQUIRE BRANCH
        private String relreq1 ;

        //RELEASE REQUIRE SUB BRANCH
        private String relreq2 ;

        //RELEASE SERVER CENTER
        private String relres0 ;

        //RELEASE SERVER BRANCH
        private String relres1 ;

        //RELEASE SERVER SUB BRANCH
        private String relres2 ;

        //RELEASE USER1
        private String relusr1 ;

        //RELEASE USER2
        private String relusr2 ;

        //RELEASE USER3
        private String relusr3 ;

        //inr of image
        private String imginr ;

        //BRANCHINR
        private String branchinr ;

        //Organ flag
        private String orgflg ;

        //Addtional text
        private String addtxt ;

        //文件清理日期
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date clndat ;

        private String relflgName ;

        private String reason;

        private String bchname;

        private String mancod;

        private String relresCom;

        private String relreqCom;

        private String branch;

        private String bchtyp;

        private String negflg;

        private String iniusrName;//经办柜员名称

        private String relusrName;//总行经办柜员名称

        private String curamt;//当前交易金额

        private String hxyewubh;
}