package com.brilliance.isc.vo.lg;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class GidFinguaCbeVo {
    /**
     * 保函业务主键
     */
    private String inr;
    /**
     * 业务参考号
     */
    private String ownref;
    /**
     * 业务发生日期
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date cpldattim;
    /**
     * 交易代码
     */
    private String inifrm;
    /**
     * 交易码中文描述
     */
    private String frmnam;
    /**
       * 报送状态
       */
    private  String sta;
    /**
     * 签约日期
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date opndat;
    /**
     * 查询截止日期
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date enddat;
  /**
   * 闭卷日期
   */
     @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
     private Date clsdat;
    /**
     *保函类型
     */
    private String gartyp;
    /**
     * 保函币种
     */
    private String cur;
    /**
     * 保函金额
     */
    private BigDecimal amt;
    /**
     * 原币折美元
     */
    private String usdamt;
    /**
     * 折人民币
     */
    private BigDecimal cnyamt;
    /**
     * 到期日
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date expdat;
    /**
     * 担保类型
     */
     private String  cfaguatyp;
    /**
     * 受益人代码
     */
    private String bencode;
    /**
     * 受益人中文名称
     */
    private String bencnname;
    /**
     * 受益人英文名称
     */
    private String benenname;
    /**
     * 受益人国别/地区
     */
    private String bencountrycode;
    /**
     * 被担保人中文名称
     */
    private String guedname;
    /**
     * 被担保人英文名称
     */
    private String guedename;
    /**
     * 被担保人国别/地区代码
     */
    private String guedcountrycode;
    /**
     * 担保申请人中文名称
     */
    private String guedaplcnname;
    /**
     * 担保申请人英文名称
     */
    private String guedaplenname;
    /**
     * 通知行
     */
    private String advextkey;
    /**
     * 通知行中文名称
     */
    private String advcnname;
    /**
     * 通知行英文名称
     */
    private String advenname;
    /**
     * 受益人代码（备）
     */
    private String ptsbenextkey;
    /**
     * 受益人中文名称（备）
     */
    private String ptsbencnname;
    /**
     * 受益人英文名称（备）
     */
    private String ptsbenenname;
    /**
     * 受益人国别（备）
     */
    private String ptsbencountry;
    /**
     * 被担保人中文名称（备）
     */
    private String ptsguedname;
    /**
     * 被担保人英文名称（备）
     */
    private String  ptsguednamen;
    /**
     * 被担保人国别（备）
     */
    private String ptsguedcouncode;
    /**
     * 申请人
     */
    private String aplextkey;

    /**
     * 申请人中文名称
     */
    private String aplcnname;
    /**
     * 申请人英文名称
     */
    private String aplenname;
    /**
     * 履约编号
     */
    private String complianceno;
    /**
     * 担保人代码
     */
    private  String guarantorcode;
    /**
     * 银行业务参考号
     */
    private String buscode;
    /**
     * 履约日期
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date guperdate;
    /**
     * 履约币种
     */
    private String gupercurr;
    /**
     * 履约金额
     */
    private BigDecimal guperamount;
    /**
     * 购汇履约金额
     */
    private BigDecimal pguperamount;
    /**
     * 备注
     */
    private String remark;
}
