package com.brilliance.isc.vo.model;

import com.brilliance.isc.bo.Elcsca;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class DitpVo extends AbstractCommonVo {

    //Status E-nable, D-isable, I-nvisible
    private  String pansta = NULLSTR;

    //Follow up insurance policy.
    private  String insur = NULLSTR;

    //Pct.
    private  int colpct;

    //Percent for cc visible
    private  String pctflg = NULLSTR;

    //Percent for cc flag
    private  String pctlab = NULLSTR;

    //Reimbursement Narrative
    private  String rmbnar = NULLSTR;

    //Label Available with Bank
    private  String avblab = NULLSTR;

    //国内信用证标志
    private  String dflg = NULLSTR;

    //申请人帐号
    private  String aplact = NULLSTR;

    //收益人帐号
    private  String benact = NULLSTR;

    //受益人开证行地址
    private  String benbnkadr = NULLSTR;

    //大写金额
    private  String amt = NULLSTR;

    //name of authorized signatory
    private  String signam = NULLSTR;

    //english name
    private  String bennam = NULLSTR;

    //apl english name
    private  String aplname = NULLSTR;

    //经办行电话
    private  String tel = NULLSTR;

    //经办行传真
    private  String fax = NULLSTR;

    //Remark
    private  String remark = NULLSTR;

    //分期装运
    private  String fenzhu = NULLSTR;

    //最迟装运/服务提供日
    private  String zchday = NULLSTR;

    //手输运输方式/服务提供方式
    private  String sdysfs = NULLSTR;

    //槧运装运地/服务提供低
    private  String hwzydi = NULLSTR;

    //槧物/服务描述
    private  String hwfwms = NULLSTR;

    //申请人开户行名称补充
    private  String newissbnk = NULLSTR;

    //受益人开户行名称补充
    private  String newbenbnk = NULLSTR;

    //是否选择上级机构
    private  String isupbranch = NULLSTR;

    //报文类型
    private  String msgtyp = NULLSTR;

    //支持版本2报文标志
    private  String msgflg = NULLSTR;

    //支持版本1报文标志
    private  String msgflg01 = NULLSTR;

    //协议标志
    private  String xyflg = NULLSTR;

    //协议签署
    private  String yptxy = NULLSTR;

    private Yptgimod yptgimod;

    //currency
    private  String hfcur = NULLSTR;

    private Elcsca elcsca;

    private PtsptaVo adv;

    @Override
    public void reset() {
        super.reset();
        if (yptgimod == null) {
            yptgimod = new Yptgimod();
        }
        yptgimod.reset();
    }
}
