package com.brilliance.isc.vo.model;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 * Author: tanglei
 * Date: 2023-08-26 10:26
 */
@Data
@JsonIgnoreProperties
public class TdbgrpManageVo extends AbstractCommonVo implements Serializable {
    /**
     * pbl 主键
     */
    private String inr = NULLSTR;

    /**
     * pbl 业务发生日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date reldat = NULLDATE;

    /**
     * pbl 业务所属行
     */
    private String ownextkey = NULLSTR;

    /**
     * tdb表
     */
    private TdbVo tdbVo;

    /**
     * Tbk类型的list集合
     */
    private List<TbkVo> tbkVoList;

}
