package com.brilliance.isc.esb.api.ecif;

import com.brilliance.isc.esb.model.Req;
import com.brilliance.isc.esb.model.Res;
import com.brilliance.isc.esb.model.ecif.*;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * ECIF 对公客户管理系统请求方
 *
 * @restApi
 */
@RequestMapping("/ECIFC")
public interface EcifClient {

    /**
     * 0904 对公ECIF系统提供客户信息列表查询模糊查询客户信息
     *
     * @param req0904
     * @return
     */
    @PostMapping("/0904")
    Res<Res0904> call0904(Req<Req0904> req0904);

    /**
     * 0905 对公ECIF系统提供客户信息详细查询
     *
     * @param req0905
     * @return
     */
    @PostMapping("/0905")
    Res<Res0905> call0905(Req<Req0905> req0905);

    /**
     * 0930 对公ECIF系统提供客户管户信息列表查询
     *
     * @param req0930
     * @return
     */
    @PostMapping("/0930")
    Res<Res0930> call0930(Req<Req0930> req0930);

    /**
     * 0958 对公客户基本身份信息校验
     *
     * @param req0958
     * @return
     */
    @PostMapping("/0958")
    Res<Res0958> call0958(Req<Req0958> req0958);
}
