package com.brilliance.isc.esb.api.inner;

import com.brilliance.isc.esb.model.inner.*;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * jk 对内提供北京电力相关服务
 *
 * @restApi
 */

@RequestMapping("/jk")
public interface InnerBdServer {
    /**
     * 北京电力保函注销接口
     *
     * @param req
     * @return
     */
    @PostMapping("/bh/logout")
    InnerRes<InnerResBdBh> callChayan(InnerReq<InnerReqBdBhLogout> req);
    /**
     * 北京电力保函通知接口
     *
     * @param req
     * @return
     */
    @PostMapping("/bh/notice")
    InnerRes<InnerResBdBh> callNotice(InnerReq<InnerReqBdBhNotice> req);


    /**
     * 北京电力-保函（保险）动用通知
     *
     * @param req
     * @return
     */
    @PostMapping("/bh/dynotice")
    InnerRes<InnerResBdBh> dyNotice(InnerReq<InnerReqBdDyNotice> req);

    /**
     * 北京电力-保函追偿通知
     *
     * @param req
     * @return
     */
    @PostMapping("/bh/zcnotice")
    InnerRes<InnerResBdBh> zcNotice(InnerReq<InnerReqBdZcNotice> req);

    /**
     * 北京电力-保函提前注销通知
     *
     * @param req
     * @return
     */
    @PostMapping("/bh/txnotice")
    InnerRes<InnerResBdBh> txNotice(InnerReq<InnerReqBdTxNotice> req);

}
