package com.brilliance.isc.esb.api.inner;

import com.brilliance.isc.esb.model.inner.*;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * jk 对内系统的接口平台接口
 *
 * @restApi
 */

@RequestMapping("/jk")
public interface InnerCfcaServer {

    /**
     * DOWNLOAD 安心签下载
     *
     * @param innerReqDownload
     * @return
     */
    @PostMapping("/DOWNLOAD")
    InnerRes<InnerResFT72> callDOWNLOAD(InnerReq<InnerReqDownload> innerReqDownload);

    /**
     * axq_ofdsignht 安心签ofd盖章
     *
     * @param innerReqOfdsignht
     * @return
     */
    @PostMapping("/Ofdsignht")
    InnerRes<InnerResGJ70> callOfdsignht(InnerReq<InnerReqOfdsignht> innerReqOfdsignht);

    /**
     * axq_commonsign 安心签pdf盖章
     *
     * @param innerReqAxqCommonsign
     * @return
     */
    @PostMapping("/Commonsign")
    InnerRes<InnerResFT70> callCommonsign(InnerReq<InnerReqAxqCommonsign> innerReqAxqCommonsign);

    /**
     * ofdCreate ofd文件生成
     *
     * @param innerReqOfdCreate
     * @return
     */
    @PostMapping("/ofdCreate")
    InnerRes<InnerResOfdCreate> callOfdCreate(InnerReq<InnerReqOfdCreate> innerReqOfdCreate);

    /**
     * ofdCreateNt ofd文件生成
     *
     * @param innerReqOfdCreateNt
     * @return
     */
    @PostMapping("/ofdCreateNt")
    InnerRes<InnerResOfdCreateNt> callOfdCreateNt(InnerReq<InnerReqOfdCreateNt> innerReqOfdCreateNt);

    /**
     * ofd_create_usual ofd文件生成，通用接口
     *
     * @param innerReqOfdCreateUsual
     * @return
     */
    @PostMapping("/ofdCreateUsual")
    InnerRes<InnerResOfdCreateUsual> callOfdCreateUsual(InnerReq<InnerReqOfdCreateUsual> innerReqOfdCreateUsual);

    /**
     * axqQianshu
     *
     * @param innerReqAxqQianshu
     * @return
     */
    @PostMapping("/axqQianshu")
    InnerRes<InnerResAxqQianshu> callAxqQianshu(InnerReq<InnerReqAxqQianshu> innerReqAxqQianshu);

    /**
     * axqQianshu1
     *
     * @param innerReqAxqQianshu1
     * @return
     */
    @PostMapping("/axqQianshu1")
    InnerRes<InnerResAxqQianshu1> callAxqQianshu1(InnerReq<InnerReqAxqQianshu1> innerReqAxqQianshu1);

    /**
     * axqQianshu2
     *
     * @param innerReqAxqQianshu2
     * @return
     */
    @PostMapping("/axqQianshu2")
    InnerRes<InnerResAxqQianshu2> callAxqQianshu2(InnerReq<InnerReqAxqQianshu2> innerReqAxqQianshu2);

    /**
     * axqCreatpdf
     *
     * @param innerReqAxqCreatpdf
     * @return
     */
    @PostMapping("/axqCreatpdf")
    InnerRes<InnerResAxqCreatpdf> callAxqCreatpdf(InnerReq<InnerReqAxqCreatpdf> innerReqAxqCreatpdf);

    /**
     * 深担签署文件
     * @param innerReqAxqCallFT70
     * @return
     */
    @PostMapping("/callFT70")
    InnerRes<InnerResFT70> callFT70(InnerReq<InnerReqAxqCallFT70> innerReqAxqCallFT70);
}
