package com.brilliance.isc.esb.api.inner;

import com.brilliance.isc.esb.model.inner.*;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * jk Ocr文件识别接口
 *
 * @restApi
 */

@RequestMapping("/jk")
public interface InnerOcrServer {
    /**
     * ocrRecognize  ocr文件识别
     *
     * @param req
     * @return
     */
    @PostMapping("/ocr/recognize")
    InnerRes<InnerResOcrRecognize> callOcrRecognize(InnerReq<InnerReqOcrRecognize> req);

    /**
     * xmind-creat-task-ai-service 文本比对接口
     *
     * @param req
     * @return
     */
    @PostMapping("/ocr/textdiff")
    InnerRes<InnerResTextDiff> callTextDiff(InnerReq<InnerReqTextDiff> req);

    @PostMapping("/ocr/textresult")
    InnerRes<InnerResTextResult> callTextResult(InnerReq<InnerReqTextResult> req);

    @PostMapping("/ocr/syntextdiff")
    InnerRes<InnerResTextResult> callSynTextResult(InnerReq<InnerReqTextDiff> req);


    /**
     * 发票影像下载入库
     */
    @PostMapping("/ocr/fapRecognize")
    InnerRes<InnerResFapRecognize> callFapRecognize(InnerReq<InnerReqFapRecognize> req);


    /**
     * 发票影像识别
     */
    @PostMapping("/ocr/fapOcr")
    InnerRes<InnerResFapOcr> callFapOcr(InnerReq<InnerReqFapOcr> req);


    /**
     * 发票影像下载并ocr识别
     */
    @PostMapping("/ocr/fapDownAndOcr")
    InnerRes<InnerResFapDownAndOcr> callFapDownAndOcr(InnerReq<InnerReqFapDownAndOcr> req);
}
