package com.brilliance.isc.esb.api.qyxx;

import com.brilliance.isc.esb.model.Res;
import com.brilliance.isc.esb.model.qyxx.Reqqyxx;
import com.brilliance.isc.esb.model.qyxx.ResSignSync;
import com.brilliance.isc.esb.model.qyxx.Resqyxx;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * QYXX 外围系统签约功能服务方
 *
 * @restApi
 */
@RequestMapping("/SSTF")
public interface QyxxServer {

    /**
     * SignSync 外围系统客户签约、修改、注销
     * @param reqqyxx
     * @return
     */
    @PostMapping("/signsync")
    Res<ResSignSync> doSignSync(Reqqyxx reqqyxx);

    /**
     * SignQuery 云平台和e结算签约信息查询
     * @param reqqyxx
     * @return
     */
    @PostMapping("/signquery")
    Res<Resqyxx> doSignQuery(Reqqyxx reqqyxx);
}
