package com.brilliance.isc.esb.model.dbsync;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Sefrat {
    //唯一流号
    private String inr;

    //自助售汇优惠币种
    private String sefhepcur;

    //自助售汇优惠类型
    private String sefheptyp;

    //自助售汇优惠比例/点数
    private BigDecimal sefheprat;

    //自助售汇优惠有效期起始日
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date sefhepdatfrm;

    //自助售汇优惠有效期截止日
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date sefhepdatend;

    //自助售汇提前申请时限
    private int sefhepappday;

    //自助售汇单笔限额
    private BigDecimal sefheplmtamt;

    //自助售汇开始时HH:MM:SS
    private String sefheptimfrm;

    //自助售汇结束时HH:MM:SS
    private String sefheptimend;

    //PTY唯一流号
    private String ptyinr;

    //全局参数提前申请时限最小值
    private int minappday;

    //全局参数提前申请时限最大值
    private int maxappday;

    //全局参数交易开始时
    private String mintim;

    //全局参数交易截止时
    private String maxtim;

    //单笔限额最大值
    private BigDecimal maxlmtamt;

    //优惠类型（汇/售汇）
    private String rattyp;

    //参数类型
    private String pratyp;

    //客户ECIF号
    private String ecifno;

    //客户名称
    private String cusnam;

    //所属分行机构号
    private String bchkey;

    //白名单标识
    private String allowlistflg;
}
