package com.brilliance.isc.common.esb.guarantee;

import com.brilliance.isc.esb.model.inner.*;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 
 * @date 2024-01-05
 * @description 保函接口调用
 */
@RequestMapping("/webapi/jk")
public interface IGuaranteeFeign {

    /**
     * 北京电力注销通知：发送三方
     * @param innerReqBdBhLogout
     * @return
     */
    @PostMapping("/bh/logout")
    InnerRes<InnerResBdBh> callLogout(InnerReq<InnerReqBdBhLogout> innerReqBdBhLogout);


    /**
     * 北京电力开立修改通知：发送三方
     * @param innerReqBdBhNotice
     * @return
     */
    @PostMapping("/bh/notice")
    InnerRes<InnerResBdBh> callNotice(InnerReq<InnerReqBdBhNotice> innerReqBdBhNotice);

    /**
     * 北京电力注销通知：发送三方
     * @param innerReqBdDyNotice
     * @return
     */
    @PostMapping("/bh/dynotice")
    InnerRes<InnerResBdBh> dyNotice(InnerReq<InnerReqBdDyNotice> innerReqBdDyNotice);

    /**
     * 北京电力追偿通知：发送三方
     * @param innerReqBdZcNotice
     * @return
     */
    @PostMapping("/bh/zcnotice")
    InnerRes<InnerResBdBh> zcNotice(InnerReq<InnerReqBdZcNotice> innerReqBdZcNotice);


    /**
     * 北京电力提前注销通知：发送三方
     * @param innerReqBdTxNotice
     * @return
     */
    @PostMapping("/bh/txnotice")
    InnerRes<InnerResBdBh> txNotice(InnerReq<InnerReqBdTxNotice> innerReqBdTxNotice);


}
