package com.brilliance.isc.common.register.diasav.common;

import com.brilliance.isc.common.register.diasav.IDiasavRegister;
import com.brilliance.isc.common.trndia.service.TrndiaService;
import com.brilliance.isc.common.trndia.vo.TrndiaVo;
import com.brilliance.isc.common.vo.SimpleModuleVo;
import com.brilliance.isc.vo.component.bptbck.BptbckVo;
import com.brilliance.mda.runtime.mda.util.MdaUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class BptbckDiasavRegister implements IDiasavRegister {

    @Autowired
    private TrndiaService trndiaService;

    @Override
    public void diasav(TrndiaVo trndia) {
        BptbckVo bptbckVo = trndia.getRec().getBptbckVo();
        if (bptbckVo != null
                && bptbckVo.getBptbckg() != null
                && bptbckVo.getBptbckg().size() > 0) {
            if(!MdaUtils.isEmpty(bptbckVo.getWrkbpdgrp().getRec().getClsdat())) {
                trndiaService.trnDiaSetDone(trndia, SimpleModuleVo.buildModule(bptbckVo.getWrkbpdgrp().getRec().getInr(), "BPD"), "");
            }
        }
    }
}
